/********************************************************************
 * Copyright © 2005 VHA. All rights reserved
 ********************************************************************/
package gov.va.med.fw.service.trigger;


/**
 * @author DNS   LEV
 *
 */
public class BaseTriggerIdentity extends AbstractTriggerIdentity {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	/**
	 * 
	 */
	public BaseTriggerIdentity() {	
		super();
	}

	/**
	 * @param destinationType
	 */
	public BaseTriggerIdentity(DestinationType destinationType) {
		super(destinationType);
	}

	/**
	 * @param destinationType
	 * @param targetType
	 * @param dispatchType
	 */
	public BaseTriggerIdentity(DestinationType destinationType,
			TargetType targetType, DispatchType dispatchType) {
		super(destinationType, targetType, dispatchType);
	}

	/**
	 * @param destinationType
	 * @param targetType
	 * @param dispatchType
	 * @param entityType
	 */
	public BaseTriggerIdentity(DestinationType destinationType,
			TargetType targetType, DispatchType dispatchType,
			EntityType entityType) {
		super(destinationType, targetType, dispatchType, entityType);
	}
}